# PointsApi

All URIs are relative to *https://risk.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/coldwave/recurrenceinterval/{recurranceInterval}/category/{category} | The Cold Wave risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/drought/recurrenceinterval/{recurranceInterval}/category/{category} | The Drought risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/earthquake/recurrenceinterval/{recurranceInterval}/category/{category} | The Earthquake risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet**](PointsApi.md#pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet) | **GET** /points/{latitude},{longitude}/hazards/flood/recurrenceinterval/{recurranceInterval} | The Flood risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/hail/recurrenceinterval/{recurranceInterval}/category/{category} | The Hail risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/heatwave/recurrenceinterval/{recurranceInterval}/category/{category} | The Heat Wave risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/tornado/recurrenceinterval/{recurranceInterval}/category/{category} | The Tornado risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/tropicalcyclone/recurrenceinterval/{recurranceInterval}/category/{category} | The Tropical Cyclone risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/tsunami/recurrenceinterval/{recurranceInterval}/category/{category} | The Tsunami risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/volcano/recurrenceinterval/{recurranceInterval}/category/{category} | The Volcano risk for a Latitude/Longitude point.
[**pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet**](PointsApi.md#pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet) | **GET** /points/{latitude},{longitude}/hazards/wildfire/recurrenceinterval/{recurranceInterval}/category/{category} | The Wildfire risk for a Latitude/Longitude point.
[**versionsGet**](PointsApi.md#versionsGet) | **GET** /versions | The current data version for all hazard data sources.

<a name="pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskColdWavePointObj pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Cold Wave risk for a Latitude/Longitude point.

Returns the Cold Wave Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * `CAT_3_DAY` -  3-day cold wave or longer * `CAT_5_DAY` -  5-day cold wave or longer 
try {
    val result : RiskColdWavePointObj = apiInstance.pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsColdwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * &#x60;CAT_3_DAY&#x60; -  3-day cold wave or longer * &#x60;CAT_5_DAY&#x60; -  5-day cold wave or longer  |

### Return type

[**RiskColdWavePointObj**](RiskColdWavePointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskDroughtPointObj pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Drought risk for a Latitude/Longitude point.

Returns the Drought Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (SPI Magnitude) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * `CAT_1` -  Category 1 or higher * `CAT_1_5` -  Category 1.5 or higher * `CAT_2` -  Category 2 or higher * `CAT_2_5` -  Category 2.5 or higher * `CAT_3` -  Category 3 or higher * `CAT_3_5` -  Category 3.5 or higher * `CAT_4` -  Category 4 or higher * `CAT_4_5` -  Category 4.5 or higher * `CAT_5` -  Category 5 
try {
    val result : RiskDroughtPointObj = apiInstance.pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsDroughtRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category (SPI Magnitude) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_1_5&#x60; -  Category 1.5 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_2_5&#x60; -  Category 2.5 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_3_5&#x60; -  Category 3.5 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_4_5&#x60; -  Category 4.5 or higher * &#x60;CAT_5&#x60; -  Category 5  |

### Return type

[**RiskDroughtPointObj**](RiskDroughtPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskEarthquakePointObj pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Earthquake risk for a Latitude/Longitude point.

Returns the Earthquake Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * `CAT_1` -  Category 1 or higher * `CAT_2` -  Category 2 or higher * `CAT_3` -  Category 3 or higher * `CAT_4` -  Category 4 or higher * `CAT_5` -  Category 5 or higher * `CAT_6` -  Category 6 or higher * `CAT_7` -  Category 7 or higher * `CAT_8` -  Category 8 or higher * `CAT_9` -  Category 9 
try {
    val result : RiskEarthquakePointObj = apiInstance.pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsEarthquakeRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR, 50_YEAR, 75_YEAR, 100_YEAR]
 **category** | **kotlin.String**| The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  |

### Return type

[**RiskEarthquakePointObj**](RiskEarthquakePointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet"></a>
# **pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet**
> RiskFloodPointObj pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet(latitude, longitude, recurranceInterval)

The Flood risk for a Latitude/Longitude point.

Returns the Flood Risk Analytics data for a Latitude/Longitude point.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR 
try {
    val result : RiskFloodPointObj = apiInstance.pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet(latitude, longitude, recurranceInterval)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsFloodRecurrenceintervalRecurranceIntervalGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR, 50_YEAR, 75_YEAR, 100_YEAR]

### Return type

[**RiskFloodPointObj**](RiskFloodPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskHailPointObj pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Hail risk for a Latitude/Longitude point.

Returns the Hail Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_SEVERE would return risk for an event of category Severe or higher occuring.  Valid categories are: * `CAT_SEVERE` -  Category Severe or higher (>= .75-inches) * `CAT_LARGE` -  Category Severe Large or higher (>= 1.25-inches) * `CAT_VERY_LARGE` -  Category Severe Very Large or higher (>= 1.75-inches) * `CAT_GIANT` -  Category Severe Giant (>= 2.75-inches) 
try {
    val result : RiskHailPointObj = apiInstance.pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsHailRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_SEVERE would return risk for an event of category Severe or higher occuring.  Valid categories are: * &#x60;CAT_SEVERE&#x60; -  Category Severe or higher (&gt;&#x3D; .75-inches) * &#x60;CAT_LARGE&#x60; -  Category Severe Large or higher (&gt;&#x3D; 1.25-inches) * &#x60;CAT_VERY_LARGE&#x60; -  Category Severe Very Large or higher (&gt;&#x3D; 1.75-inches) * &#x60;CAT_GIANT&#x60; -  Category Severe Giant (&gt;&#x3D; 2.75-inches)  |

### Return type

[**RiskHailPointObj**](RiskHailPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskHeatWavePointObj pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Heat Wave risk for a Latitude/Longitude point.

Returns the Heat Wave Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * `CAT_3_DAY` -  3-day heat wave or longer * `CAT_5_DAY` -  5-day heat wave or longer 
try {
    val result : RiskHeatWavePointObj = apiInstance.pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsHeatwaveRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category for the target risk. The risk corrolates to the selected category or higher. For example, CAT_3_DAY would return risk for an event of category 3-day or longer occuring.  Valid categories are: * &#x60;CAT_3_DAY&#x60; -  3-day heat wave or longer * &#x60;CAT_5_DAY&#x60; -  5-day heat wave or longer  |

### Return type

[**RiskHeatWavePointObj**](RiskHeatWavePointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskTornadoPointObj pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Tornado risk for a Latitude/Longitude point.

Returns the Tornado Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (Enhanced Fugita Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_EF1 would return risk for an event of category EF1 or higher occuring.  Valid categories are: * `CAT_EF0` -  Category EF0  or higher (>= 40 mph estimated wind speeds) * `CAT_EF1` -  Category EF1  or higher (>= 73 mph estimated wind speeds) * `CAT_EF2` -  Category EF2  or higher (>= 113 mph estimated wind speeds) * `CAT_EF3` -  Category EF3  or higher (>= 158 mph estimated wind speeds) * `CAT_EF4` -  Category EF4  or higher (>= 207 mph estimated wind speeds) * `CAT_EF5` -  Category EF5  or higher (>= 260 mph estimated wind speeds) 
try {
    val result : RiskTornadoPointObj = apiInstance.pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsTornadoRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category (Enhanced Fugita Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_EF1 would return risk for an event of category EF1 or higher occuring.  Valid categories are: * &#x60;CAT_EF0&#x60; -  Category EF0  or higher (&gt;&#x3D; 40 mph estimated wind speeds) * &#x60;CAT_EF1&#x60; -  Category EF1  or higher (&gt;&#x3D; 73 mph estimated wind speeds) * &#x60;CAT_EF2&#x60; -  Category EF2  or higher (&gt;&#x3D; 113 mph estimated wind speeds) * &#x60;CAT_EF3&#x60; -  Category EF3  or higher (&gt;&#x3D; 158 mph estimated wind speeds) * &#x60;CAT_EF4&#x60; -  Category EF4  or higher (&gt;&#x3D; 207 mph estimated wind speeds) * &#x60;CAT_EF5&#x60; -  Category EF5  or higher (&gt;&#x3D; 260 mph estimated wind speeds)  |

### Return type

[**RiskTornadoPointObj**](RiskTornadoPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskTropicalCyclonePointObj pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Tropical Cyclone risk for a Latitude/Longitude point.

Returns the Tropical Cyclone Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (Saffir-Simpson Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * `CAT_TS` - Category Tropical Storm (>= 34 knots sustained wind speed) * `CAT_1` - Category 1 or higher (>= 65 knots sustained wind speed) * `CAT_2` - Category 2 or higher (>= 74 knots sustained wind speed) * `CAT_3` - Category 3 or higher (>= 96 knots sustained wind speed) * `CAT_4` - Category 4 or higher (>= 114 knots sustained wind speed) * `CAT_5` - Category 5 (>= 135 knots sustained wind speed) 
try {
    val result : RiskTropicalCyclonePointObj = apiInstance.pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsTropicalcycloneRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category (Saffir-Simpson Scale) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_TS&#x60; - Category Tropical Storm (&gt;&#x3D; 34 knots sustained wind speed) * &#x60;CAT_1&#x60; - Category 1 or higher (&gt;&#x3D; 65 knots sustained wind speed) * &#x60;CAT_2&#x60; - Category 2 or higher (&gt;&#x3D; 74 knots sustained wind speed) * &#x60;CAT_3&#x60; - Category 3 or higher (&gt;&#x3D; 96 knots sustained wind speed) * &#x60;CAT_4&#x60; - Category 4 or higher (&gt;&#x3D; 114 knots sustained wind speed) * &#x60;CAT_5&#x60; - Category 5 (&gt;&#x3D; 135 knots sustained wind speed)  |

### Return type

[**RiskTropicalCyclonePointObj**](RiskTropicalCyclonePointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskTsunamiPointObj pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Tsunami risk for a Latitude/Longitude point.

Returns the Tsunami Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * `CAT_1` -  Category 1 or higher * `CAT_2` -  Category 2 or higher * `CAT_3` -  Category 3 or higher * `CAT_4` -  Category 4 or higher * `CAT_5` -  Category 5 or higher * `CAT_6` -  Category 6 or higher * `CAT_7` -  Category 7 or higher * `CAT_8` -  Category 8 or higher * `CAT_9` -  Category 9 
try {
    val result : RiskTsunamiPointObj = apiInstance.pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsTsunamiRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR, 50_YEAR, 75_YEAR, 100_YEAR]
 **category** | **kotlin.String**| The category (Gutenberg Richter value) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  |

### Return type

[**RiskTsunamiPointObj**](RiskTsunamiPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskVolcanoPointObj pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Volcano risk for a Latitude/Longitude point.

Returns the Volcano Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (Volcanic Explosive Index) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * `CAT_1` -  Category 1 or higher * `CAT_2` -  Category 2 or higher * `CAT_3` -  Category 3 or higher * `CAT_4` -  Category 4 or higher * `CAT_5` -  Category 5 or higher * `CAT_6` -  Category 6 or higher * `CAT_7` -  Category 7 or higher * `CAT_8` -  Category 8 or higher * `CAT_9` -  Category 9 
try {
    val result : RiskVolcanoPointObj = apiInstance.pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsVolcanoRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR * 50_YEAR * 75_YEAR * 100_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR, 50_YEAR, 75_YEAR, 100_YEAR]
 **category** | **kotlin.String**| The category (Volcanic Explosive Index) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; -  Category 1 or higher * &#x60;CAT_2&#x60; -  Category 2 or higher * &#x60;CAT_3&#x60; -  Category 3 or higher * &#x60;CAT_4&#x60; -  Category 4 or higher * &#x60;CAT_5&#x60; -  Category 5 or higher * &#x60;CAT_6&#x60; -  Category 6 or higher * &#x60;CAT_7&#x60; -  Category 7 or higher * &#x60;CAT_8&#x60; -  Category 8 or higher * &#x60;CAT_9&#x60; -  Category 9  |

### Return type

[**RiskVolcanoPointObj**](RiskVolcanoPointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet"></a>
# **pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet**
> RiskWildfirePointObj pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)

The Wildfire risk for a Latitude/Longitude point.

Returns the Wildfire Risk Analytics data for a Latitude/Longitude point with the given recurrence interval and a magnitude at or higher than the specified category.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
val latitude : kotlin.Float = 3.4 // kotlin.Float | A latitude value between -90° and 90°.
val longitude : kotlin.Float = 3.4 // kotlin.Float | A longitude value between -180° (West) and 180° (East).
val recurranceInterval : kotlin.String = recurranceInterval_example // kotlin.String | The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR 
val category : kotlin.String = category_example // kotlin.String | The category (Extremity of Fire Weather Risk) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * `CAT_1` - Category 1 or higher * `CAT_2` - Category 2 or higher * `CAT_3` - Category 3 or higher * `CAT_4` - Category 4 or higher * `CAT_5` - Category 5 or higher * `CAT_6` - Category 6 
try {
    val result : RiskWildfirePointObj = apiInstance.pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet(latitude, longitude, recurranceInterval, category)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#pointsLatitudelongitudeHazardsWildfireRecurrenceintervalRecurranceIntervalCategoryCategoryGet")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **kotlin.Float**| A latitude value between -90° and 90°. |
 **longitude** | **kotlin.Float**| A longitude value between -180° (West) and 180° (East). |
 **recurranceInterval** | **kotlin.String**| The recurrence interval for the target risk.  Valid recurrence intervals are: * 1_YEAR * 5_YEAR * 10_YEAR * 20_YEAR  | [enum: 1_YEAR, 5_YEAR, 10_YEAR, 20_YEAR]
 **category** | **kotlin.String**| The category (Extremity of Fire Weather Risk) for the target risk. The risk corrolates to the selected category or higher. For example, CAT_1 would return risk for an event of category 1 or higher occuring.  Valid categories are: * &#x60;CAT_1&#x60; - Category 1 or higher * &#x60;CAT_2&#x60; - Category 2 or higher * &#x60;CAT_3&#x60; - Category 3 or higher * &#x60;CAT_4&#x60; - Category 4 or higher * &#x60;CAT_5&#x60; - Category 5 or higher * &#x60;CAT_6&#x60; - Category 6  |

### Return type

[**RiskWildfirePointObj**](RiskWildfirePointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="versionsGet"></a>
# **versionsGet**
> VersionsObj versionsGet()

The current data version for all hazard data sources.

Returns the current data version for all hazard data sources.          **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 

### Example
```kotlin
// Import classes:
//import io.swagger.client.infrastructure.*
//import io.swagger.client.models.*;

val apiInstance = PointsApi()
try {
    val result : VersionsObj = apiInstance.versionsGet()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling PointsApi#versionsGet")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling PointsApi#versionsGet")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**VersionsObj**](VersionsObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

