/**
 * Risk Analytics - A Weather Source API
 * Analytics for weather, climate and environmental risks for latitude/longitude points. The Risk Analytics API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source Risk Analytics API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.FieldListProbObj
import io.swagger.client.models.PointObj
import io.swagger.client.models.RiskMetadataObj
import io.swagger.client.models.RiskProbObj

/**
 * Latitude/Longitude Cold Wave Risk Analytics object
 * @param location 
 * @param riskMetadata 
 * @param fieldList 
 * @param risk 
 */
data class RiskColdWavePointObj (

    val location: PointObj,
    val riskMetadata: RiskMetadataObj,
    val fieldList: FieldListProbObj,
    val risk: RiskProbObj
) {
}